<div class="row">
        <div class="col-12">
          <div class="card mb-4">
          <div class="d-flex px-2 py-1">
          </div>
            <div class="card-header pb-0">
              <div class="d-flex align-items-center">
                <p class="h4">Event list</p>
                <%= link_to(new_event_path, class: "btn bg-gradient-primary ms-auto") do %>
                  <i class="fa fa-plus-square"></i> New Event gerardo alfredo
                <% end %>
              </div>
            </div>
            <div class="card-body px-0 pt-0 pb-2">
              <div class="table-responsive p-6">
                <table id= "events_table" class="display compact">
                  <thead>
                    <tr>
                      
                      <th class="text-uppercase text-primary text-s font-weight-bolder">ID</th>
                      <th class="text-uppercase text-primary text-s font-weight-bolder ps-2">Name</th>
                      <th class="text-center text-uppercase text-primary text-s font-weight-bolder ">Date</th>
                      <th class="text-center text-uppercase text-primary text-s font-weight-bolder ">People Qty</th>
                      <th class="text-center text-uppercase text-primary text-s font-weight-bolder ">Status</th>
                      <th class="text-center text-uppercase text-primary text-s font-weight-bolder ">Winner</th>
                      <th class="text-secondary opacity-7"></th>
                      
                    </tr>
                  </thead>
                  <tbody>
                  <% @events.each do | event|%>
                    <tr>
                      <td>
                        <div class="d-flex px-2 py-1">                          
                          <div class="d-flex flex-column justify-content-right">
                            <h6 class="mb-0 text-sm"><%=event.id%></h6>                            
                          </div>
                        </div>
                      </td>
                      <td>                        
                        <%= link_to event.name, event, class: "text-xs font-weight-bold mb-0" %>                                                  
                      </td>
                      <td class="align-middle text-center">
                        <span class="text-secondary text-xs font-weight-bold"><%=event.eventDate.strftime("%d/%m/%Y")%></span>
                      </td>                      
                      <td class="align-middle text-center">
                        <span class="text-secondary text-xs font-weight-bold"> <%=event.people%></span>
                      </td>
                      <td class="align-middle text-center text-sm">
                      <%if event.status=='Open' %>
                        <span class="badge badge-sm bg-gradient-success"><%=event.status%></span>
                      <%else%>
                        <span class="badge badge-sm bg-gradient-secondary"><%=event.status%></span>
                      <%end%>
                      </td>
                      <td>                        
                        
                        
                          <% event.score.where(position: 1).each do |score|%>
                            <div class="d-flex px-2 py-1"> 
                              
                                <div>
                                  <%if !score.player.image_attachment.nil?%>
                                    <%= image_tag(score.player.image, class: "avatar avatar-sm me-3")%>
                                  <%else%>
                                    <%= image_tag("blank-profile-picture.jpg", class: "avatar avatar-sm me-3")%>
                                  <%end%>
                                </div>
                                <div class="d-flex flex-column justify-content-center">
                                  <h6 class="mb-0 text-sm"><%= link_to score.try(:player).try(:name).titleize, show_closed_event_path(event)%></h6>
                                  <p class="text-xs text-secondary mb-0">Won by&nbsp;<%=score.try(:points)%>&nbsp;pts</p>
                                </div>
                              
                            </div>                          
                          <%end%>
                        
                      </td>
                      <td>
                        <div class="dropdown">
                          <button type="button" class="btn btn-sm bg-gradient-primary dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
                            Action
                          </button>
                          <ul class="dropdown-menu px-2 py-3" aria-labelledby="dropdownMenuButton">
                            <li>
                              <%= link_to(edit_event_path(event), class:"dropdown-item border-radius-md") do%>
                                Edit&nbsp;&nbsp;<i class="fa fa-edit"></i>
                              <% end %>
                            </li>
                            
                              
                            <% if event.status.upcase != "CLOSED"%>
                              <li>
                                <%= link_to(event, class:"dropdown-item border-radius-md") do%>
                                  Share&nbsp;&nbsp;<i class="fa fa-share-alt"></i>
                                <%end%>
                              </li>
                            <%end%>
                            <li>
                              <%= link_to(event, data: {turbo_method: :delete, turbo_confirm: 'Are you sure?'}, class:"dropdown-item border-radius-md") do %>
                                Delete&nbsp;&nbsp;<i class="fa fa-trash-o"></i>
                              <%end%>
                            </li>
                            <li>
                              <%= link_to(players_enrolled_path(event), class:"dropdown-item border-radius-md") do%>
                              Players&nbsp;&nbsp;<i class="fa fa-users"></i>
                              <%end%>
                            </li>
                            <li>
                              <%= link_to(event_matches_path(event), class:"dropdown-item border-radius-md") do%>
                              Matches&nbsp;&nbsp;<i class="fa fa-sitemap"></i>
                              <%end%>
                            </li>
                            <% if event.status.upcase == "CLOSED"%>
                              <li>
                                <%= link_to(show_closed_event_path(event), class:"dropdown-item border-radius-md") do%>
                                Results&nbsp;&nbsp;<i class="fa fa-poll"></i>
                                <%end%>
                              </li>
                            <%end%>
                            
                          </ul>
                        </div>
                      </td>                                            
                    </tr>
                    <%end%>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
<script type="text/javascript">
  // In your Javascript (external .js resource or <script> tag)
    $(document).ready(function() {    
    $('#events_table').DataTable();        
  });
</script>